falcon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Commented] (FALCON-385) Add a Maven enforcer rule to check the JDK used
Date Mon, 21 Apr 2014 07:13:24 GMT

    [ https://issues.apache.org/jira/browse/FALCON-385?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13975445#comment-13975445
] 

Jean-Baptiste Onofré commented on FALCON-385:
---------------------------------------------

As part of build tools, we apply some patches to oozie (adding EL extension, etc) and create
a custom distribution.
I can set the enforcer only there (as oozie requires 1.6). Like this, Falcon itself can build
using JDK 1.7, the enforcer for JDK 1.6 is only "focus" on oozie/build tools.

WDYT ?

> Add a Maven enforcer rule to check the JDK used
> -----------------------------------------------
>
>                 Key: FALCON-385
>                 URL: https://issues.apache.org/jira/browse/FALCON-385
>             Project: Falcon
>          Issue Type: Improvement
>          Components: build-tools
>            Reporter: Jean-Baptiste Onofré
>            Assignee: Jean-Baptiste Onofré
>            Priority: Minor
>             Fix For: 0.5
>
>         Attachments: FALCON-385.patch
>
>
> As Oozie 4.0.0 doesn't support Java7 build for now, in order to prevent "build side effect",
we should add a Maven enforcer rule to avoid to build using Java7.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message